# Create scoreboard objectives

scoreboard objectives add value dummy
scoreboard objectives add id dummy
scoreboard objectives add ticks dummy
scoreboard objectives add temp dummy

scoreboard objectives add arena dummy
scoreboard objectives add plot dummy
scoreboard objectives add plot_half dummy
scoreboard objectives add plot_checker dummy
scoreboard objectives add team dummy
scoreboard objectives add click dummy
scoreboard objectives add rounds_played dummy
scoreboard objectives add even_or_odd dummy
scoreboard objectives add modifier_timer dummy
scoreboard objectives add session dummy

scoreboard objectives add voter_id dummy
scoreboard objectives add plot_id dummy

scoreboard objectives add plot_x dummy
scoreboard objectives add plot_z dummy

scoreboard objectives add score dummy
scoreboard objectives add votes dummy

scoreboard objectives add row dummy
scoreboard objectives add column dummy

scoreboard objectives add info trigger
scoreboard objectives add spectate trigger
scoreboard objectives add complete trigger
scoreboard objectives add lobby trigger
scoreboard objectives add floor trigger

scoreboard objectives add drop_red minecraft.dropped:minecraft.red_concrete
scoreboard objectives add drop_orange minecraft.dropped:minecraft.orange_concrete
scoreboard objectives add drop_yellow minecraft.dropped:minecraft.yellow_concrete
scoreboard objectives add drop_lime minecraft.dropped:minecraft.lime_concrete
scoreboard objectives add drop_green minecraft.dropped:minecraft.green_concrete

scoreboard objectives add use_item minecraft.used:minecraft.warped_fungus_on_a_stick

scoreboard objectives add place_piston minecraft.used:minecraft.piston
scoreboard objectives add place_sticky_piston minecraft.used:minecraft.sticky_piston







# Assign constants

scoreboard players set #-1 value -1

scoreboard players set #10 value 10
scoreboard players set #100 value 100
scoreboard players set #1000 value 1000
scoreboard players set #10000 value 10000
scoreboard players set #100000 value 100000
scoreboard players set #1000000 value 1000000
scoreboard players set #10000000 value 10000000
scoreboard players set #100000000 value 100000000
scoreboard players set #1000000000 value 1000000000

scoreboard players set #2 value 2
scoreboard players set #4 value 4
scoreboard players set #8 value 8
scoreboard players set #16 value 16
scoreboard players set #32 value 32
scoreboard players set #64 value 64
scoreboard players set #128 value 128
scoreboard players set #256 value 256
scoreboard players set #512 value 512
scoreboard players set #1024 value 1024
scoreboard players set #2048 value 2048
scoreboard players set #4096 value 4096
scoreboard players set #8192 value 8192
scoreboard players set #16384 value 16384
scoreboard players set #32768 value 32768
scoreboard players set #65536 value 65536
scoreboard players set #131072 value 131072
scoreboard players set #262144 value 262144
scoreboard players set #524288 value 524288
scoreboard players set #1048576 value 1048576
scoreboard players set #2097152 value 2097152
scoreboard players set #4194304 value 4194304
scoreboard players set #8388608 value 8388608
scoreboard players set #16777216 value 16777216
scoreboard players set #33554432 value 33554432
scoreboard players set #67108864 value 67108864
scoreboard players set #134217728 value 134217728
scoreboard players set #268435456 value 268435456
scoreboard players set #536870912 value 536870912
scoreboard players set #1073741824 value 1073741824
scoreboard players set #-2147483648 value -2147483648

scoreboard players set #5 value 5
scoreboard players set #20 value 20
scoreboard players set #60 value 60
scoreboard players set #304 value 304

scoreboard players set #lcg_multiplier value 1664525
scoreboard players set #lcg_increment value 1013904223
execute unless score #lcg value = #lcg value store result score #lcg value run seed







# Increment global ticks value

scoreboard players add #global ticks 1







# Create teams

team add player
team modify player friendlyFire false
team modify player collisionRule never







# Create bossbars

bossbar add build:forest ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:forest name ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:forest color white
bossbar set build:forest players
bossbar set build:forest max 1200
bossbar set build:forest value 1200
bossbar set build:forest visible false

bossbar add build:cave ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:cave name ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:cave color white
bossbar set build:cave players
bossbar set build:cave max 1200
bossbar set build:cave value 1200
bossbar set build:cave visible false

bossbar add build:city ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:city name ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:city color white
bossbar set build:city players
bossbar set build:city max 1200
bossbar set build:city value 1200
bossbar set build:city visible false

bossbar add build:ice ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:ice name ["",{"text":"Time remaining: ","color":"green"},{"text":"1:00"}]
bossbar set build:ice color white
bossbar set build:ice players
bossbar set build:ice max 1200
bossbar set build:ice value 1200
bossbar set build:ice visible false







# Initialize settings

execute unless score #forest_mode value = #forest_mode value run scoreboard players set #forest_mode value 0
execute unless score #forest_time value = #forest_time value run scoreboard players set #forest_time value 3
execute unless score #forest_modifiers value = #forest_modifiers value run scoreboard players set #forest_modifiers value 0
execute unless score #forest_teams value = #forest_teams value run scoreboard players set #forest_teams value 0
execute unless score #forest_entities value = #forest_entities value run scoreboard players set #forest_entities value 1
execute unless score #forest_custom_themes value = #forest_custom_themes value run scoreboard players set #forest_custom_themes value 1

execute unless score #cave_mode value = #cave_mode value run scoreboard players set #cave_mode value 0
execute unless score #cave_time value = #cave_time value run scoreboard players set #cave_time value 3
execute unless score #cave_modifiers value = #cave_modifiers value run scoreboard players set #cave_modifiers value 0
execute unless score #cave_teams value = #cave_teams value run scoreboard players set #cave_teams value 0
execute unless score #cave_entities value = #cave_entities value run scoreboard players set #cave_entities value 1
execute unless score #cave_custom_themes value = #cave_custom_themes value run scoreboard players set #cave_custom_themes value 1

execute unless score #city_mode value = #city_mode value run scoreboard players set #city_mode value 0
execute unless score #city_time value = #city_time value run scoreboard players set #city_time value 3
execute unless score #city_modifiers value = #city_modifiers value run scoreboard players set #city_modifiers value 0
execute unless score #city_teams value = #city_teams value run scoreboard players set #city_teams value 0
execute unless score #city_entities value = #city_entities value run scoreboard players set #city_entities value 1
execute unless score #city_custom_themes value = #city_custom_themes value run scoreboard players set #city_custom_themes value 1

execute unless score #ice_mode value = #ice_mode value run scoreboard players set #ice_mode value 0
execute unless score #ice_time value = #ice_time value run scoreboard players set #ice_time value 3
execute unless score #ice_modifiers value = #ice_modifiers value run scoreboard players set #ice_modifiers value 0
execute unless score #ice_teams value = #ice_teams value run scoreboard players set #ice_teams value 0
execute unless score #ice_entities value = #ice_entities value run scoreboard players set #ice_entities value 1
execute unless score #ice_custom_themes value = #ice_custom_themes value run scoreboard players set #ice_custom_themes value 1







# Put NBT in storage

data modify storage build:data signs set value {}



data modify storage build:data signs.forest.start.start set value {Text2:'{"text":"Start","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 111"}}',Text3:'{"text":"Forest","color":"white","bold":true}'}
data modify storage build:data signs.forest.start.cancel set value {Text2:'{"text":"Cancel","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 112"}}',Text3:'{"text":"Startup","color":"white"}'}
data modify storage build:data signs.forest.start.in_session set value {Text2:'{"text":"Spectate","color":"white","clickEvent":{"action":"run_command","value":"trigger spectate set 11"}}',Text3:'{"text":"Forest","color":"white","bold":true}'}

data modify storage build:data signs.forest.mode.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 121"}}'}
data modify storage build:data signs.forest.mode.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 122"}}'}
data modify storage build:data signs.forest.mode.telephone set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Telephone","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 10"}}'}
data modify storage build:data signs.forest.mode.tourney set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Tourney","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 11"}}'}
data modify storage build:data signs.forest.mode.build_battle set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Build Battle","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 12"}}'}
data modify storage build:data signs.forest.mode.1v1s set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"1v1s","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 13"}}'}

data modify storage build:data signs.forest.time.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 131"}}'}
data modify storage build:data signs.forest.time.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 132"}}'}
data modify storage build:data signs.forest.time.1m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"1m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.2m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"2m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.3m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"3m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.5m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"5m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.10m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"10m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.15m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"15m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.20m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"20m","color":"white","bold":true}'}
data modify storage build:data signs.forest.time.30m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"30m","color":"white","bold":true}'}

data modify storage build:data signs.forest.modifiers.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 141"}}'}
data modify storage build:data signs.forest.modifiers.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 142"}}'}
data modify storage build:data signs.forest.modifiers.off set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Off","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 20"}}'}
data modify storage build:data signs.forest.modifiers.fun set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Fun","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 21"}}'}
data modify storage build:data signs.forest.modifiers.annoying set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Annoying","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 22"}}'}
data modify storage build:data signs.forest.modifiers.chaotic set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Chaotic","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 23"}}'}

data modify storage build:data signs.forest.teams.on set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 151"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.forest.teams.off set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 151"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.forest.entities.on set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 161"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.forest.entities.off set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 161"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.forest.custom_themes.on set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 171"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.forest.custom_themes.off set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 171"}}',Text3:'{"text":"Off","color":"white","bold":true}'}



data modify storage build:data signs.cave.start.start set value {Text2:'{"text":"Start","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 211"}}',Text3:'{"text":"Cave","color":"white","bold":true}'}
data modify storage build:data signs.cave.start.cancel set value {Text2:'{"text":"Cancel","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 212"}}',Text3:'{"text":"Startup","color":"white"}'}
data modify storage build:data signs.cave.start.in_session set value {Text2:'{"text":"Spectate","color":"white","clickEvent":{"action":"run_command","value":"trigger spectate set 12"}}',Text3:'{"text":"Cave","color":"white","bold":true}'}

data modify storage build:data signs.cave.mode.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 221"}}'}
data modify storage build:data signs.cave.mode.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 222"}}'}
data modify storage build:data signs.cave.mode.telephone set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Telephone","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 10"}}'}
data modify storage build:data signs.cave.mode.tourney set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Tourney","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 11"}}'}
data modify storage build:data signs.cave.mode.build_battle set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Build Battle","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 12"}}'}
data modify storage build:data signs.cave.mode.1v1s set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"1v1s","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 13"}}'}

data modify storage build:data signs.cave.time.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 231"}}'}
data modify storage build:data signs.cave.time.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 232"}}'}
data modify storage build:data signs.cave.time.1m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"1m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.2m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"2m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.3m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"3m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.5m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"5m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.10m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"10m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.15m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"15m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.20m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"20m","color":"white","bold":true}'}
data modify storage build:data signs.cave.time.30m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"30m","color":"white","bold":true}'}

data modify storage build:data signs.cave.modifiers.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 241"}}'}
data modify storage build:data signs.cave.modifiers.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 242"}}'}
data modify storage build:data signs.cave.modifiers.off set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Off","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 20"}}'}
data modify storage build:data signs.cave.modifiers.fun set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Fun","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 21"}}'}
data modify storage build:data signs.cave.modifiers.annoying set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Annoying","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 22"}}'}
data modify storage build:data signs.cave.modifiers.chaotic set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Chaotic","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 23"}}'}

data modify storage build:data signs.cave.teams.on set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 251"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.cave.teams.off set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 251"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.cave.entities.on set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 261"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.cave.entities.off set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 261"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.cave.custom_themes.on set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 271"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.cave.custom_themes.off set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 271"}}',Text3:'{"text":"Off","color":"white","bold":true}'}



data modify storage build:data signs.city.start.start set value {Text2:'{"text":"Start","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 311"}}',Text3:'{"text":"City","color":"white","bold":true}'}
data modify storage build:data signs.city.start.cancel set value {Text2:'{"text":"Cancel","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 312"}}',Text3:'{"text":"Startup","color":"white"}'}
data modify storage build:data signs.city.start.in_session set value {Text2:'{"text":"Spectate","color":"white","clickEvent":{"action":"run_command","value":"trigger spectate set 13"}}',Text3:'{"text":"City","color":"white","bold":true}'}

data modify storage build:data signs.city.mode.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 321"}}'}
data modify storage build:data signs.city.mode.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 322"}}'}
data modify storage build:data signs.city.mode.telephone set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Telephone","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 10"}}'}
data modify storage build:data signs.city.mode.tourney set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Tourney","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 11"}}'}
data modify storage build:data signs.city.mode.build_battle set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Build Battle","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 12"}}'}
data modify storage build:data signs.city.mode.1v1s set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"1v1s","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 13"}}'}

data modify storage build:data signs.city.time.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 331"}}'}
data modify storage build:data signs.city.time.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 332"}}'}
data modify storage build:data signs.city.time.1m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"1m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.2m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"2m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.3m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"3m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.5m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"5m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.10m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"10m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.15m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"15m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.20m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"20m","color":"white","bold":true}'}
data modify storage build:data signs.city.time.30m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"30m","color":"white","bold":true}'}

data modify storage build:data signs.city.modifiers.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 341"}}'}
data modify storage build:data signs.city.modifiers.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 342"}}'}
data modify storage build:data signs.city.modifiers.off set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Off","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 20"}}'}
data modify storage build:data signs.city.modifiers.fun set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Fun","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 21"}}'}
data modify storage build:data signs.city.modifiers.annoying set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Annoying","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 22"}}'}
data modify storage build:data signs.city.modifiers.chaotic set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Chaotic","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 23"}}'}

data modify storage build:data signs.city.teams.on set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 351"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.city.teams.off set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 351"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.city.entities.on set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 361"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.city.entities.off set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 361"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.city.custom_themes.on set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 371"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.city.custom_themes.off set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 371"}}',Text3:'{"text":"Off","color":"white","bold":true}'}



data modify storage build:data signs.ice.start.start set value {Text2:'{"text":"Start","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 411"}}',Text3:'{"text":"Ice","color":"white","bold":true}'}
data modify storage build:data signs.ice.start.cancel set value {Text2:'{"text":"Cancel","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 412"}}',Text3:'{"text":"Startup","color":"white"}'}
data modify storage build:data signs.ice.start.in_session set value {Text2:'{"text":"Spectate","color":"white","clickEvent":{"action":"run_command","value":"trigger spectate set 14"}}',Text3:'{"text":"Ice","color":"white","bold":true}'}

data modify storage build:data signs.ice.mode.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 421"}}'}
data modify storage build:data signs.ice.mode.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 422"}}'}
data modify storage build:data signs.ice.mode.telephone set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Telephone","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 10"}}'}
data modify storage build:data signs.ice.mode.tourney set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Tourney","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 11"}}'}
data modify storage build:data signs.ice.mode.build_battle set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"Build Battle","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 12"}}'}
data modify storage build:data signs.ice.mode.1v1s set value {Text2:'{"text":"Mode","color":"white"}',Text3:'{"text":"1v1s","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 13"}}'}

data modify storage build:data signs.ice.time.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 431"}}'}
data modify storage build:data signs.ice.time.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 432"}}'}
data modify storage build:data signs.ice.time.1m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"1m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.2m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"2m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.3m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"3m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.5m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"5m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.10m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"10m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.15m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"15m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.20m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"20m","color":"white","bold":true}'}
data modify storage build:data signs.ice.time.30m set value {Text2:'{"text":"Time","color":"white"}',Text3:'{"text":"30m","color":"white","bold":true}'}

data modify storage build:data signs.ice.modifiers.up set value {Text2:'{"text":"/\\\\","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 441"}}'}
data modify storage build:data signs.ice.modifiers.down set value {Text3:'{"text":"\\\\/","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 442"}}'}
data modify storage build:data signs.ice.modifiers.off set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Off","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 20"}}'}
data modify storage build:data signs.ice.modifiers.fun set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Fun","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 21"}}'}
data modify storage build:data signs.ice.modifiers.annoying set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Annoying","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 22"}}'}
data modify storage build:data signs.ice.modifiers.chaotic set value {Text2:'{"text":"Modifiers","color":"white"}',Text3:'{"text":"Chaotic","color":"white","bold":true,"clickEvent":{"action":"run_command","value":"trigger info set 23"}}'}

data modify storage build:data signs.ice.teams.on set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 451"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.ice.teams.off set value {Text2:'{"text":"Teams","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 451"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.ice.entities.on set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 461"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.ice.entities.off set value {Text2:'{"text":"Entities","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 461"}}',Text3:'{"text":"Off","color":"white","bold":true}'}

data modify storage build:data signs.ice.custom_themes.on set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 471"}}',Text3:'{"text":"On","color":"white","bold":true}'}
data modify storage build:data signs.ice.custom_themes.off set value {Text2:'{"text":"Custom Themes","color":"white","clickEvent":{"action":"run_command","value":"scoreboard players set @s click 471"}}',Text3:'{"text":"Off","color":"white","bold":true}'}



data modify storage build:data default_themes set value ["School Bus","Gauntlet","House","Hot Chocolate","Doctor","Nature","Prison","Abstract","Space","Cave","Icy Lake","Swamp","Minecraft","Computer","Mouse","Gaming Console","YouTube","Creature","Ball","Fireworks","Cone","Glasses","Apple","Pineapple","Pizza","Banana","Baby","Parents","Ice Cream","Toothbrush","Tire","Spider","Star","Zombie","Skeleton","Creeper","Snow","Ocean","Castle","Hula Hoop","Science","Bowling","Tornado","Rotem","Astronaut","Space","Hockey","Baseball","Soccer","Football","Golf","Eraser","Dictionary","Backpack","Desk","Laboratory","Dog","Cat","Goose","Satellite","Lightning","Glue","Tea","Coffee","Drink","Drinking Glass","Guitar","Grapes","Paper Clip","Shoe","Stairs","Diamond","Bow Tie","Worm","Key","Dominoes","Ghost","Skateboard","Roller Blades","Teeth","Rain","Feet","Bed","Butterfly","Candy Cane","Pumpkin","Squash","Kite","Plane","Boat","Controller","Candy","Pickaxe","Plains","River","Octopus","Owl","Mountain","Cloud","Jungle","Desert","Taiga","Beach","Mushroom Islands","The End","The Nether","Ender Dragon","Wither","Crocodile","Monkey","Pig","Farm","Chair","Taco","Meme","Mathematics","Cliff","Mechanism","Robot","Horn","Monster","Alien","Spaceship","Cargo","Truck","Bee","Warehouse","Music","Chess","Tree","Fire","Book","Sea Cabin","Cabin","Seagull","Pirate Ship","Fan","Blade","Orphanage","Old Folk's Home","Chicken","Meatloaf","Money","Fridge","Cold","Television","Camera","Couch","Piano","Small Town Tourist Attraction","Pyramid","Pillow Fort","Sand Castle","Lighthouse","Factory","Town Square","Fedora","Platypus","Globe","Leaves","Oven","Dinner","Anthill","Laser","Playground","Rocket","Radio","Birdhouse","Mailbox","Tree House","Empire","Light","Plant","Watering Can","Flower","Milkshake","Ice Cream","Cake","Balloon","Fish","Water","Tomato","Fruit","Basket","Horse","Rabbit","Block","Boot","Duck","Tank","Car","Jet","Rock","Bread","Feather","Anger","Fear","Bowl","Bucket","Shelf","Juice","Friend","Foe","Breakfast","Ceiling","Scroll"]








# Reset action queue

data modify storage build:data action_queue set value [I;]







# Reset game

function build:phase/forest/0/start
function build:phase/cave/0/start
function build:phase/city/0/start
function build:phase/ice/0/start
function build:phase/lobby/0/start

scoreboard players set #fix_lobby value 0
scoreboard players set #arena_tp value 0
scoreboard players set #plots_to_clear value 0
scoreboard players set #action_cooldown value 0







# Turn off debug mode

#scoreboard players set #debug_mode value 0